"use strict";
var TitleScreen = function(title, subtitle, callback) {
	var up = false;

	this.step = function(dt) {
		if (game.keys['fire']) {
			if (callback)
				callback();
			game.keys['fire'] = false;
		}
	};

	this.draw = function(ctx) {
		ctx.fillStyle = "#FFFFFF";
		ctx.textAlign = "center";

		ctx.font = "bold 50px bangers";
		ctx.fillText(title, game.getWidth() / 2, game.getHeight() / 2);

		ctx.font = "bold 30px bangers";
		ctx.fillText(subtitle, game.getWidth() / 2, game.getHeight() / 2 + 40);
	};
};