"use strict";
var PlayerMissile = function(x, y) {
	this.type = game.getObjectTypes().PLAYER_MISSILE;
	this.setup('missile', {damage: 10});
	this.x = x - this.w / 2;
	// Use the passed in y as the bottom of the missile
	this.y = y - this.h;
	this.vy = -700;
	this.step = function(dt) {
		this.y += this.vy * dt;

		var collision = this.board.collide(this, game.getObjectTypes().ENEMY);
		if (collision) {
			collision.hit(this.damage);
			this.board.remove(this);
		} else if (this.y < -this.h) {
			this.board.remove(this);
		}
	};
};

game.inherit(PlayerMissile, Sprite);