"use strict";
var inputHandler = function() {
	var alpha = 0;
	var beta = 0;
	var gamma = 0;
	var KEY_CODES = {
		37 : 'left',
		39 : 'right',
		32 : 'fire',
		40 : 'down',
		38 : 'up'

	};

	if (config.mobileUI) {
		document.getElementById('game').addEventListener('click', function(e) {
			game.keys[KEY_CODES[32]] = true;
			e.preventDefault();
		}, false);

	}
	window.addEventListener('keydown', function(e) {
		if (KEY_CODES[e.keyCode]) {
			game.keys[KEY_CODES[e.keyCode]] = true;
			e.preventDefault();
		}
	}, false);

	window.addEventListener('keyup', function(e) {
		if (KEY_CODES[e.keyCode]) {
			game.keys[KEY_CODES[e.keyCode]] = false;
			e.preventDefault();
		}
	}, false);

};